=== debian/changelog ===
gnuradio (3.10.12.0-5) unstable; urgency=medium

  * Simplify autopkgtest

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 17 Oct 2025 14:33:39 -0400

gnuradio (3.10.12.0-4) unstable; urgency=medium

  * update to v3.10.12.0-42-gd8814e0c3e
  * rebuild with newer pybind11 3.x in unstable

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 16 Oct 2025 00:43:24 -0400

gnuradio (3.10.12.0-3) unstable; urgency=medium

  * Apply Switch-to-standard-GNUInstallDirs-fix.patch (Closes:#1115817)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 19 Sep 2025 18:00:06 -0400

gnuradio (3.10.12.0-2) unstable; urgency=medium

  * update to v3.10.12.0-41-gc234c76c77 recent upstream fixes
  * skip PDF documentation build in forky (Closes: #1114129)
  * drop the unused python3-click-plugins dependency (Closes: #1108452)
  * Update standards version to 4.7.2, no changes needed.
  * Use Switch-to-standard-GNUInstallDirs.patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 18 Sep 2025 23:51:15 -0400

gnuradio (3.10.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 24 Feb 2025 22:40:00 -0500

gnuradio (3.10.12.0~rc1-2) experimental; urgency=medium

  * more fixups

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Feb 2025 21:42:13 -0500

gnuradio (3.10.12.0~rc1-1) experimental; urgency=medium

  * New upstream release.
    GRC-Qt fixes and parity with the Gtk version
    UHD/RFNoC updates
    CI, modtool, and other devel/infrastructure updates
  * upload to experimenal for soversion bump

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 24 Jan 2025 10:29:40 -0500
