=== debian/tests/control ===
Tests: python
Depends: gnuradio, python3-all, python3-numpy
Restrictions: superficial
